<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0"
  >

<xsl:output method="html"/>


<xsl:template match="/">
  <html>

    <xsl:apply-templates select="FEE-SCHEDULE-DATA/TYPE"/>
    <xsl:apply-templates select="FEE-SCHEDULE-INDEX"/>

  </html>
</xsl:template>


<xsl:template match="FEE-SCHEDULE-INDEX">
  <head><h2 align="center">
  Fee Schedules Index<br/>
  </h2></head>
  <body>
  <center><table cellpadding="0" width="85%"><tr>
    <th>Type Code</th>
    <th align="left">Description</th></tr>
    <font size="2">
    <xsl:apply-templates select="ENTRY"><xsl:sort select="PROV-DESC">
    </xsl:sort></xsl:apply-templates>
    </font>
  </table></center>
  </body>
</xsl:template>


<xsl:template match="ENTRY">
  <xsl:choose>
    <!-- suppress the following -->
    <xsl:when test="PROV-TYPE='01'"></xsl:when>
    <xsl:when test="PROV-TYPE='09'"></xsl:when>
    <xsl:when test="PROV-TYPE='13'"></xsl:when>
    <xsl:when test="PROV-TYPE='23'"></xsl:when>
    <xsl:when test="PROV-TYPE='24'"></xsl:when>
    <xsl:when test="PROV-TYPE='42'"></xsl:when>
    <xsl:when test="PROV-TYPE='43'"></xsl:when>
    <xsl:when test="PROV-TYPE='45'"></xsl:when>
    <xsl:when test="PROV-TYPE='49'"></xsl:when>
    <xsl:when test="PROV-TYPE='53'"></xsl:when>
    <xsl:when test="PROV-TYPE='54'"></xsl:when>
    <xsl:when test="PROV-TYPE='99'"></xsl:when>
    <xsl:otherwise>
      <tr>
      <td valign="top" align="center"><xsl:value-of select="PROV-TYPE"/></td>
      <td valign="top"><a href="X{PROV-TYPE}.xml">
        <xsl:value-of select="PROV-DESC"/>
        </a></td>
      <td valign="top" align="center"><a href="X{PROV-TYPE}.xml">xml</a></td>
      <td valign="top" align="center"><a href="C{PROV-TYPE}.csv">csv</a></td>
      </tr>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template match="TYPE">
  <head><h2 align="center">
    Fee Schedule #<xsl:value-of select="PROV-TYPE"/> -
               <xsl:value-of select="PROV-DESC"/><br/>
  </h2></head>
  <body>
  <center><table border="1" cellpadding="1" width="85%">
    <tr>
    <xsl:if test="PROV-TYPE!='36'">
     <th>Proc Type</th>
    </xsl:if>
    <th>Proc Code</th>
    <th>Description</th>
    <xsl:choose>
  <xsl:when test="PROV-TYPE!='36'">
     <th>Factor<br/>Code</th>
  </xsl:when>
  <xsl:otherwise>
     <th>ASC/Group<br/>Code</th>
  </xsl:otherwise>
    </xsl:choose>
    <th>Factor</th>
    <xsl:if test="PROV-TYPE!='36'">
     <th>Proc<br/>Mod</th>
    </xsl:if>
     <th>Eff<br/>Date</th>
     <th>End<br/>Date</th>

    </tr>

    <font size="2">
    <xsl:apply-templates select="PROCEDURE"/>
    </font>
  </table></center>
  </body>
</xsl:template>


<xsl:template match="PROCEDURE">
    <tr>
    <xsl:if test="../PROV-TYPE!='36'">
  <td valign="top" align="center"><xsl:value-of select="PROC-TYPE"/></td>
    </xsl:if>
    <td valign="top" align="center"><xsl:value-of select="PROC-CODE"/></td>
    <td valign="top"><xsl:value-of select="PROC-DESC"/></td>
    <xsl:choose>
  <xsl:when test="../PROV-TYPE!='36'">
     <td valign="top" align="center"><xsl:value-of select="FACTOR-CODE"/></td>
  </xsl:when>
  <xsl:otherwise>
     <td valign="top" align="center"><xsl:value-of select="GROUP-CODE"/></td>
  </xsl:otherwise>
    </xsl:choose>
    <td valign="top"><xsl:value-of select="FACTOR"/></td>
    <xsl:if test="../PROV-TYPE!='36'">
  <td valign="top" align="center"><xsl:value-of select="PROC-MOD"/></td>
    </xsl:if>
  <td valign="top" align="center"><xsl:value-of select="EFF-DATE"/></td>
  <td valign="top" align="center"><xsl:value-of select="END-DATE"/></td>

  </tr>
</xsl:template>


</xsl:stylesheet>



